Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

"Invalid version string" updating from 7.1.5 to 7.1.7

SA-7499

Summary



When upgrading from Pega 7.1.5 to 7.1.7, update is failing with an error stating 'Invalid version string'. 

Error Messages



Invalid version string

Steps to Reproduce



Upgrade from 7.1.5 to 7.1.7.

Root Cause



The root cause of this problem is defect/misconfiguration in the PRPC operating environment. 

Ran this query against the rules schema and found that the pr4_rule_ruleset table does not contain any data as it should for a working Pega environment.

SELECT PYRULESETVERSIONID FROM PR4_RULE_RULESET WHERE PXOBJCLASS='Rule-RuleSet-Version' AND PYRULESETNAME='Pega-RULES' ORDER BY PYRULESETVERSIONID DESC;



Resolution



This issue is resolved by making the following change to the PRPC operating environment: 

Restore the database from a backup where this table is correctly populated and then run the upgrade.
Suggest Edit

Published January 31, 2016 - Updated October 8, 2020

Did you find this content helpful? Yes No

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us